%global drupaldir %{_datadir}/drupal7
%global alphabeta alpha
%global prerelease 8

Name:    drupal7-feeds
Version: 2.0
Release: 0.7.%{alphabeta}%{prerelease}%{?dist}
Summary: An import and aggregation framework for Drupal

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/feeds
Source0: http://ftp.drupal.org/files/projects/feeds-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-ctools >= 1.0-0.1.alpha4
Requires:  drupal7-job_scheduler >= 2.0-0.1.alpha2

%description
Import or aggregate data as nodes, users,
taxonomy terms or simple database records.

%prep

%setup -qn feeds

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/feeds
cp -pr * %{buildroot}%{drupaldir}/modules/feeds

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/feeds
%exclude %{drupaldir}/modules/feeds/*.txt

%changelog
* Sun May 19 2013 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.7.alpha8
- Fix versioning to be newer than alpha7 release

* Tue Apr 23 2013 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.alpha8
- Update to upstream alpha8 bug fix release
- Upstream changelog for the bug fixes in this release is at http://drupal.org/node/1977140

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.7.alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 25 2012 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.5.alpha7
- Bug fix update for Drupal issue #1807920: Imported nodes have NULL format.

* Wed Oct 10 2012 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.5.alpha6
- Security fix

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.4.alpha5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 02 2012 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.3.alpha5
- New upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.2.alpha4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.1.alpha4
- Initial packaging
